Ruby: pm_x_string_node Struct Reference

Ruby 3.4.9p82 (2026-03-11 revision 76cca827ab52ab1d346a728f068d5b8da3e2952b)

Data Fields
pm_x_string_node Struct Reference

XStringNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | opening_loc
| XStringNode#opening_loc.
pm_location_t | content_loc
| XStringNode#content_loc.
pm_location_t | closing_loc
| XStringNode#closing_loc.
pm_string_t | unescaped
| XStringNode#unescaped.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

XStringNode.

Represents an xstring literal with no interpolation.

    `foo`
    ^^^^^

Type: ::PM_X_STRING_NODE

Flags (#pm_encoding_flags):

- ::PM_ENCODING_FLAGS_FORCED_UTF8_ENCODING
- ::PM_ENCODING_FLAGS_FORCED_BINARY_ENCODING

Definition at line 7906 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_x_string_node::base

The embedded base node.

Definition at line 7908 of file ast.h.

Referenced by pm_dump_json().

## ◆ closing_loc

pm_location_t pm_x_string_node::closing_loc

XStringNode#closing_loc.

Definition at line 7924 of file ast.h.

Referenced by pm_dump_json().

## ◆ content_loc

pm_location_t pm_x_string_node::content_loc

XStringNode#content_loc.

Definition at line 7919 of file ast.h.

Referenced by pm_dump_json().

## ◆ opening_loc

pm_location_t pm_x_string_node::opening_loc

XStringNode#opening_loc.

Definition at line 7914 of file ast.h.

Referenced by pm_dump_json().

## ◆ unescaped

pm_string_t pm_x_string_node::unescaped

XStringNode#unescaped.

Definition at line 7929 of file ast.h.

Referenced by pm_dump_json(), and pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h